#!/bin/bash

# Get System Ready
dnf upgrade -y

# Enable EPEL (Extra Packages for Enterprise Linux)
dnf config-manager --set-enabled crb 

dnf install \
    https://dl.fedoraproject.org/pub/epel/epel-release-latest-9.noarch.rpm \
    https://dl.fedoraproject.org/pub/epel/epel-next-release-latest-9.noarch.rpm -y

dnf install git dnf-utils fish fastfetch inxi neovim -y

dnf config-manager --add-repo https://download.docker.com/linux/rhel/docker-ce.repo
dnf install docker-ce docker-ce-cli containerd.io docker-buildx-plugin docker-compose-plugin -y

# Enable Docker 
systemctl start docker 
systemctl enable docker
docker version

# Add User Mode Docker
groupadd docker # Just in Case 
usermod -aG docker jupyter
